## packagekit-qt 1.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
cmake_policy(SET CMP0048 NEW)

if (POLICY CMP0043)
  cmake_policy(SET CMP0043 NEW)
endif()
if (POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif()

project(packagekit-qt VERSION 1.1.3)

# Used to set installation paths
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(BUILD_SHARED_LIBS ON)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON)
include(GNUInstallDirs)

set(QPACKAGEKIT_API_LEVEL "1")

option(BUILD_WITH_QT5 "Use Qt5 instead of Qt6" OFF)

if(BUILD_WITH_QT5)
  set(QT_VERSION_MAJOR 5)
else()
  set(QT_VERSION_MAJOR 6)
endif()

find_package(Qt${QT_VERSION_MAJOR} 5.10 REQUIRED COMPONENTS Core DBus)

add_definitions(
    -DQT_NO_KEYWORDS
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_STRICT_ITERATORS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_USE_FAST_OPERATOR_PLUS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
)

# Forbid in-tree building
if(${CMAKE_SOURCE_DIR} MATCHES ${CMAKE_BINARY_DIR})
      message(STATUS "Please do an out-of-tree build:")
      message(STATUS "rm -f CMakeCache.txt && mkdir build && cd build; cmake .. && make")
      message(FATAL_ERROR "In-tree-build detected!")
endif()

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX
    "/usr" CACHE PATH "QPK default install prefix" FORCE)
endif()

set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

#
# Configure files
#
set (GETTEXT_PACKAGE "packagekit")
set (VERSION "${QPACKAGEKIT_VERSION}")
set (LOCALSTATEDIR "/var")
set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt${QT_VERSION_MAJOR}/")

add_definitions("-DLOCALSTATEDIR=\"${LOCALSTATEDIR}\"")
set (CMAKE_CXX_STANDARD 17)

configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)

#
# Custom C flags
#
add_definitions(
  "-Wformat"
  "-Wno-unused-parameter"
  "-Werror=empty-body"
  "-Werror=pointer-arith"
  "-Werror=init-self"
  "-Werror=missing-declarations"
  "-Werror=return-type"
  "-Werror=misleading-indentation"
  "-Werror=format-security"
)
option (MAINTAINER "Enable maintainer CFlags" OFF)
if (MAINTAINER)
    set(MAINTAINER_CFLAGS
      "-Werror"
      "-Wall"
      "-Wcast-align"
      "-Wno-uninitialized"
      "-Wempty-body"
      "-Winit-self"
      "-Wnull-dereference"
      "-Wfloat-equal"
      "-Winline"
    )
    add_definitions(${MAINTAINER_CFLAGS})
endif()

add_subdirectory(src)

install(EXPORT PackageKitQtTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE PackageKitQtTargets.cmake
        NAMESPACE PK::
        COMPONENT Devel)

=== src/CMakeLists.txt ===
# CMakeLists for PackageKit-Qt library

set(packagekitqt_HEADERS
    PackageKitQt
    Daemon
    Transaction
    common.h
    daemon.h
    transaction.h
    Details
    details.h
    bitfield.h
    packagekitqt_global.h
    offline.h
    Offline
)

set(packagekitqt_SRC
    bitfield.cpp
    daemon.cpp
    daemonprivate.cpp
    transaction.cpp
    transactionprivate.cpp
    details.cpp
    offline.cpp
)

set(QPK_VERSION_HDR ${CMAKE_CURRENT_BINARY_DIR}/qpk-version.h)
configure_file(qpk-version.h.in ${QPK_VERSION_HDR})

find_path(PK_INTERFACES_DIR org.freedesktop.PackageKit.xml
	HINTS ${CMAKE_INSTALL_PREFIX} /usr
	PATH_SUFFIXES share/dbus-1/interfaces/
)
set(PK_INTERFACE_XML "${PK_INTERFACES_DIR}/org.freedesktop.PackageKit.xml")
set(PK_TRANSACTION_INTERFACE_XML "${PK_INTERFACES_DIR}/org.freedesktop.PackageKit.Transaction.xml")

if (NOT EXISTS "${PK_INTERFACE_XML}" OR NOT EXISTS "${PK_TRANSACTION_INTERFACE_XML}")
	message (FATAL_ERROR "Unable to find PackageKit DBus specifications! Please install PackageKit to continue!")
endif ()

set_source_files_properties(${PK_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${PK_TRANSACTION_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)

if(${QT_VERSION_MAJOR} EQUAL 6)
qt6_add_dbus_interface(packagekitqt_SRC ${PK_INTERFACE_XML} daemonproxy)
qt6_add_dbus_interface(packagekitqt_SRC ${PK_TRANSACTION_INTERFACE_XML} transactionproxy)
else()
qt5_add_dbus_interface(packagekitqt_SRC ${PK_INTERFACE_XML} daemonproxy)
qt5_add_dbus_interface(packagekitqt_SRC ${PK_TRANSACTION_INTERFACE_XML} transactionproxy)
endif()

add_library(packagekitqt${QT_VERSION_MAJOR} ${packagekitqt_SRC} ${packagekitqt_HEADERS} ${packagekitqt_HEADERS_PRIVATE})
set_target_properties(packagekitqt${QT_VERSION_MAJOR} PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${QPACKAGEKIT_API_LEVEL})

target_link_libraries(packagekitqt${QT_VERSION_MAJOR} PUBLIC Qt${QT_VERSION_MAJOR}::DBus)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/packagekitqt${QT_VERSION_MAJOR}.pc.in
  ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt${QT_VERSION_MAJOR}.pc
  @ONLY
)
target_include_directories(packagekitqt${QT_VERSION_MAJOR} INTERFACE "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/packagekitqt${QT_VERSION_MAJOR}/PackageKit/;${CMAKE_INSTALL_INCLUDEDIR}/packagekitqt${QT_VERSION_MAJOR}>")
install(TARGETS packagekitqt${QT_VERSION_MAJOR} EXPORT PackageKitQtTargets DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt${QT_VERSION_MAJOR}.pc
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)
install(FILES ${packagekitqt_HEADERS} ${QPK_VERSION_HDR}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/packagekitqt${QT_VERSION_MAJOR}/PackageKit/
)

add_subdirectory(modules)

=== src/modules/CMakeLists.txt ===
include(CMakePackageConfigHelpers)

configure_package_config_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/packagekit-qt-config.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt${QT_VERSION_MAJOR}-config.cmake
  INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt${QT_VERSION_MAJOR}/
)

write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/packagekitqt${QT_VERSION_MAJOR}-config-version.cmake VERSION ${PROJECT_VERSION} COMPATIBILITY SameMajorVersion)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt${QT_VERSION_MAJOR}-config.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt${QT_VERSION_MAJOR}-config-version.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt${QT_VERSION_MAJOR}/
)

=== debian/changelog ===
packagekit-qt (1.1.3-0zneon+24.04+noble+stable+build6) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 18 Aug 2025 01:30:21 +0000

packagekit-qt (1.1.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 14 Aug 2025 17:38:12 +1000

packagekit-qt (1.1.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 27 Jul 2024 12:36:53 +1000

packagekit-qt (1.1.1-1) noble; urgency=medium

  * New upstream bugfix release: 1.1.1
    - Fixes update notifications not being shown because frontends
      may get confused by a new transaction property (Closes: #1027831)
    - Fixes a crash that occurs if a transaction role is not yet
      known or the transaction is not initialized (Closes: #1026062)

 -- Matthias Klumpp <mak@debian.org>  Fri, 10 Mar 2023 18:48:56 +0100

=== debian/control ===
Source: packagekit-qt
Section: libs
Priority: optional
Build-Depends: cmake (>= 3.2),
               debhelper-compat (= 13),
               packagekit (>= 1.2.6),
               pkg-kde-tools (>= 0.15.16),
               pkgconf (>= 0.26),
               qt6-base-dev,
               qtbase5-dev (>= 5.8)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.freedesktop.org/software/PackageKit/
Vcs-Git: https://invent.kde.org/neon/backports-noble/packagekit-qt-noble.git
Vcs-Browser: https://invent.kde.org/neon/backports-noble/packagekit-qt-noble
Maintainer: Neon CI <neon@kde.org>

Package: libpackagekitqt5-1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: packagekit
Description: Library for accessing PackageKit using Qt5
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a library to access PackageKit using Qt.

Package: libpackagekitqt5-dev
Section: libdevel
Architecture: any
Depends: libpackagekitqt5-1 (= ${binary:Version}),
         qtbase5-dev (>= 5.8),
         ${misc:Depends}
Description: Library for accessing PackageKit using Qt5 (development files)
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the header files for PackageKit-Qt.

Package: libpackagekitqt6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: packagekit
Description: Library for accessing PackageKit using Qt6
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a library to access PackageKit using Qt.

Package: libpackagekitqt6-dev
Section: libdevel
Architecture: any
Depends: libpackagekitqt6 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Description: Library for accessing PackageKit using Qt6 (development files)
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the header files for PackageKit-Qt.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

execute_after_dh_auto_clean:
	rm -rf build-Qt5

override_dh_auto_configure:
	QT_SELECT=qt6 dh_auto_configure
	QT_SELECT=qt5 dh_auto_configure --builddirectory=build-qt5 -- -DBUILD_WITH_QT5=True

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-qt5

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=build-qt5

## packagekit-qt 1.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
   cmake_policy(SET CMP0063 NEW)
 endif()
 
-project(packagekit-qt VERSION 1.1.3)
+project(packagekit-qt VERSION 1.1.4)
 
 # Used to set installation paths
 set(CMAKE_AUTOMOC ON)
@@ -17,17 +17,10 @@
 set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON)
 include(GNUInstallDirs)
 
-set(QPACKAGEKIT_API_LEVEL "1")
+set(QPACKAGEKIT_ABI_LEVEL "2")
 
-option(BUILD_WITH_QT5 "Use Qt5 instead of Qt6" OFF)
 
-if(BUILD_WITH_QT5)
-  set(QT_VERSION_MAJOR 5)
-else()
-  set(QT_VERSION_MAJOR 6)
-endif()
-
-find_package(Qt${QT_VERSION_MAJOR} 5.10 REQUIRED COMPONENTS Core DBus)
+find_package(Qt6 6.8 REQUIRED COMPONENTS Core DBus)
 
 add_definitions(
     -DQT_NO_KEYWORDS
@@ -63,7 +56,7 @@
 set (GETTEXT_PACKAGE "packagekit")
 set (VERSION "${QPACKAGEKIT_VERSION}")
 set (LOCALSTATEDIR "/var")
-set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt${QT_VERSION_MAJOR}/")
+set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt6/")
 
 add_definitions("-DLOCALSTATEDIR=\"${LOCALSTATEDIR}\"")
 set (CMAKE_CXX_STANDARD 17)

=== src/CMakeLists.txt ===
# CMakeLists for PackageKit-Qt library

set(packagekitqt_HEADERS
    PackageKitQt
    Daemon
    Transaction
    common.h
    daemon.h
    transaction.h
    Details
    details.h
    bitfield.h
    packagekitqt_global.h
    offline.h
    Offline
)

set(packagekitqt_SRC
    bitfield.cpp
    daemon.cpp
    daemonprivate.cpp
    transaction.cpp
    transactionprivate.cpp
    details.cpp
    offline.cpp
)

set(QPK_VERSION_HDR ${CMAKE_CURRENT_BINARY_DIR}/qpk-version.h)
configure_file(qpk-version.h.in ${QPK_VERSION_HDR})

find_path(PK_INTERFACES_DIR org.freedesktop.PackageKit.xml
	HINTS ${CMAKE_INSTALL_PREFIX} /usr
	PATH_SUFFIXES share/dbus-1/interfaces/
)
set(PK_INTERFACE_XML "${PK_INTERFACES_DIR}/org.freedesktop.PackageKit.xml")
set(PK_TRANSACTION_INTERFACE_XML "${PK_INTERFACES_DIR}/org.freedesktop.PackageKit.Transaction.xml")

if (NOT EXISTS "${PK_INTERFACE_XML}" OR NOT EXISTS "${PK_TRANSACTION_INTERFACE_XML}")
	message (FATAL_ERROR "Unable to find PackageKit DBus specifications! Please install PackageKit to continue!")
endif ()

set_source_files_properties(${PK_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)
set_source_files_properties(${PK_TRANSACTION_INTERFACE_XML} PROPERTIES NO_NAMESPACE true)

qt6_add_dbus_interface(packagekitqt_SRC ${PK_INTERFACE_XML} daemonproxy)
qt6_add_dbus_interface(packagekitqt_SRC ${PK_TRANSACTION_INTERFACE_XML} transactionproxy)

add_library(packagekitqt6 ${packagekitqt_SRC} ${packagekitqt_HEADERS} ${packagekitqt_HEADERS_PRIVATE})
set_target_properties(packagekitqt6 PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${QPACKAGEKIT_ABI_LEVEL})

target_link_libraries(packagekitqt6 PUBLIC Qt6::DBus)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/packagekitqt.pc.in
  ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt6.pc
  @ONLY
)
target_include_directories(packagekitqt6 INTERFACE "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/PackageKitQt/PackageKit/;${CMAKE_INSTALL_INCLUDEDIR}/PackageKitQt>")
install(TARGETS packagekitqt6 EXPORT PackageKitQtTargets DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt6.pc
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)
install(FILES ${packagekitqt_HEADERS} ${QPK_VERSION_HDR}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/PackageKitQt/PackageKit/
)

add_subdirectory(modules)

=== src/modules/CMakeLists.txt ===
include(CMakePackageConfigHelpers)

configure_package_config_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/packagekit-qt-config.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt6-config.cmake
  INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt6/
)

write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/packagekitqt6-config-version.cmake VERSION ${PROJECT_VERSION} COMPATIBILITY SameMajorVersion)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt6-config.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/packagekitqt6-config-version.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt6/
)

=== debian/changelog ===
packagekit-qt (1.1.4-1) unstable; urgency=medium

  * New upstream version: 1.1.4
  * Drop Qt5 package: Removed upstream
  * Adjust for ABI bump
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Thu, 02 Oct 2025 23:18:40 +0200

=== debian/control ===
Source: packagekit-qt
Section: libs
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.2),
               packagekit (>= 1.2.6),
               pkg-kde-tools (>= 0.17.0~),
               pkgconf,
               qt6-base-dev
Standards-Version: 4.7.2
Homepage: https://www.freedesktop.org/software/PackageKit/
Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit-qt.git
Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit-qt

Package: libpackagekitqt6-2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: packagekit
Description: Library for accessing PackageKit using Qt6
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a library to access PackageKit using Qt6.

Package: libpackagekitqt6-dev
Section: libdevel
Architecture: any
Depends: libpackagekitqt6-2 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Description: Library for accessing PackageKit using Qt6 (development files)
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the header files for PackageKit-Qt for Qt6.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

QPK_CONFIGURE_ARGS =

%:
	dh $@ --with kf6,pkgkde_symbolshelper
